ChemTransforms.h File Reference
`#include <boost/smart_ptr.hpp>`
`#include <vector>`
`#include <iostream>`
`#include "MolFragmenter.h"`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Typedefs

typedef boost::shared_ptr< ROMol > | RDKit::ROMOL_SPTR

## Functions

ROMol * | RDKit::deleteSubstructs (const ROMol &mol, const ROMol &query, bool onlyFrags=false)
| Returns a copy of an ROMol with the atoms and bonds that match a pattern removed. More...
std::vector< ROMOL_SPTR > | RDKit::replaceSubstructs (const ROMol &mol, const ROMol &query, const ROMol &replacement, bool replaceAll=false, unsigned int replacementConnectionPoint=0)
| Returns a list of copies of an ROMol with the atoms and bonds that match a pattern replaced with the atoms contained in another molecule. More...
ROMol * | RDKit::replaceSidechains (const ROMol &mol, const ROMol &coreQuery)
| Returns a copy of an ROMol with the atoms and bonds that don't fall within a substructure match removed. More...
ROMol * | RDKit::replaceCore (const ROMol &mol, const ROMol &coreQuery, bool replaceDummies=true, bool labelByIndex=false, bool requireDummyMatch=false)
| Returns a copy of an ROMol with the atoms and bonds that do fall within a substructure match removed. More...
ROMol * | RDKit::MurckoDecompose (const ROMol &mol)
| Carries out a Murcko decomposition on the molecule provided. More...
ROMol * | RDKit::combineMols (const ROMol &mol1, const ROMol &mol2, RDGeom::Point3D offset=RDGeom::Point3D(0, 0, 0))
| Combined two molecules to create a new one. More...
void | RDKit::addRecursiveQueries (ROMol &mol, const std::map< std::string, ROMOL_SPTR > &queries, const std::string &propName, std::vector< std::pair< unsigned int, std::string > > *reactantLabels=NULL)
| Adds named recursive queries to a molecule's atoms based on atom. More...
void | RDKit::parseQueryDefFile (const std::string &filename, std::map< std::string, ROMOL_SPTR > &queryDefs, bool standardize=true, const std::string &delimiter="\, const std::string &comment="//", unsigned int nameColumn=0, unsigned int smartsColumn=1)
| parses a query definition file and sets up a set of definitions suitable for use by addRecursiveQueries() More...
void | RDKit::parseQueryDefFile (std::istream *inStream, std::map< std::string, ROMOL_SPTR > &queryDefs, bool standardize=true, const std::string &delimiter="\, const std::string &comment="//", unsigned int nameColumn=0, unsigned int smartsColumn=1)
void | RDKit::parseQueryDefText (const std::string &queryDefText, std::map< std::string, ROMOL_SPTR > &queryDefs, bool standardize=true, const std::string &delimiter="\, const std::string &comment="//", unsigned int nameColumn=0, unsigned int smartsColumn=1)
| equivalent to parseQueryDefFile() but the query definitions are More...